﻿using WCS.Model;
using WCS.DAL.DbModels;
using WCS.Model.ApiModel.StoreInfo;
using WCS.BLL.DbModels;
using WCS.Model.ApiModel.MatBaseInfo;
using WCS.Model.ApiModel.MatDetailCurrentInfo;

namespace WCS.BLL.Services.IService
{
    public interface IMatDetailCurrentInfoService
    {
        /// <summary>
        /// 查询货架存量列表
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        public Task<PageQueryResponse<MatDetailCurrentInfoModel>> GetMatDetailCurrentInfos(GetMatDetailCurrentInfosRequest request);
        
        /// <summary>
        /// 更新货架存量
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        public Task<ResponseCommon<object>> updateMatDetailCurrentInfo(AddLocaionInfoRequest<MatDetailCurrentInfo> request);

        /// <summary>
        /// 删除货架存量数据
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        public Task<ResponseCommon<object>> deleteMatDetailCurrentInfo(DeleteInfosRequest request);
    }
}
